Bug 1174607 - seqan app_test_bs_tools fails on non x86 architectures
Summary: seqan app_test_bs_tools fails on non x86 architectures
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: seqan
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker ZedoraTracker PPCTracker ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2014-12-16 05:09 UTC by Peter Robinson
Modified: 2015-12-02 16:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 06:03:25 UTC


Attachments (Terms of Use)

Description Peter Robinson 2014-12-16 05:09:38 UTC
seqan-1.4.2-8.fc21 change log has:
- Excluded bs_tools test on ARM

But it in fact fails on all non x86 architectures.

It likely should be properly investigated as to why it's failing on non x86 arches as opposed to just disabling it. 


ppc: http://ppc.koji.fedoraproject.org/koji/packageinfo?packageID=18310
aarch64: http://arm.koji.fedoraproject.org/koji/packageinfo?packageID=18320

Comment 1 Antonio 2014-12-16 15:42:01 UTC
bs_tools test could be related to other failed tests, which will be fixed with next release. However I contacted upstream to clarify this issue.

Thank you.

Comment 2 Peter Robinson 2014-12-16 15:46:41 UTC
please ensure you test with scratch builds on arm* ppc* before upstream release, please reach out if you need help or guidance to do this.

Comment 3 Peter Robinson 2015-03-02 23:44:46 UTC
(In reply to Antonio Trande from comment #1)
> bs_tools test could be related to other failed tests, which will be fixed
> with next release. However I contacted upstream to clarify this issue.

I notice that 2.0 is out, what is the state of non x86 arches?

Comment 4 Antonio 2015-03-03 14:35:52 UTC
(In reply to Peter Robinson from comment #3)
> (In reply to Antonio Trande from comment #1)
> > bs_tools test could be related to other failed tests, which will be fixed
> > with next release. However I contacted upstream to clarify this issue.
> 
> I notice that 2.0 is out, what is the state of non x86 arches?

These problems persist in the 2.0 too.

https://github.com/seqan/seqan/issues/830
https://github.com/seqan/seqan/issues/761

Comment 5 Fedora End Of Life 2015-11-04 15:39:52 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-12-02 06:03:42 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.